RPC.STATD(8)

NOM
rpc.statd - Surveillant de l'activité NSM

SYNOPSIS
rpc.statd [-FNL] [-d] [-?] [-n nom] [-o port] [-p port] [-H prog] [-V]

DESCRIPTION
Le serveur rpc.statd implémente le protocole RPC NSM (Network Status Monitor : Surveillance de l'Activité Réseau). Ce service est en fait très mal nommé car il ne fournit pas le moyen d'exercer une surveillance continue comme son nom le laisse supposer. Au contraire, NSM fournit le moyen de prévenir d'une réinitialisation du système. Il est utilisé par le service de verrouillage de fichier de NFS rpc.lockd, pour implémenter une reprise du verrouillage quand la machine serveur NFS se réinitialise.

  Opérations
Pour chaque serveur ou client NFS à surveiller, rpc.statd créé un fichier dans /var/lib/nfs/sm. Quand il se lance, il exécute normalement sm-notify qui parcourt ces fichiers afin de notifier l'événement au démon rpc.statd de ces machines.

OPTIONS

-F  Par défaut, rpc.statd se dédouble (Ndt : fork) et se place lui-même en arrière-plan quand il se lance. L'option -F lui dit de rester à l'avant plan [Ndt : et donc de ne pas rendre la main immédiatement]. Cette option n'est utile que pour déboguer.

-d  Par défaut, rpc.statd envoie les messages journalisés via syslog(3) au système de journalisation. L'option -d force la journalisation sur la sortie d'erreur stderr. Cette option n'est utile que pour déboguer et ne peut être utilisée qu'avec l'option -F.

-n, --name nom
    Spécifier un nom à rpc.statd à utiliser en tant que nom d'hôte local. Par défaut, rpc.statd appelera gethostname(2) pour obtenir le nom d'hôte local. Spécifier un nom d'hôte local peut être utile pour les machines disposant de plusieurs interfaces.

-o, --outgoing-port port
    Spécifier un port à rpc.statd à partir duquel envoyer les requêtes d'état sortantes. Par défaut, rpc.statd demandera à portmap(8) de lui attribuer un numéro de port. Au moment où ce document est rédigé, il n'existe pas de numéro de port standard attribué par portmap. Spécifier un port peut être utile lors de l'implémentation d'un pare-feu.

-p, --port port
    Spécifier un port à rpc.statd sur lequel se mettre à l'écoute. Par défaut, rpc.statd demandera à portmap(8) de lui attribuer un numéro de port. Au moment où ce document est rédigé, il n'existe pas de numéro de port standard attribué par portmap. Spécifier un port peut être utile lors de l'implémentation d'un pare-feu.

-P, --state-directory-path répertoire
    Spécifier un répertoire dans lequel placer les informations de l'état de statd. Si cette option n'est pas fournie, le répertoire par défaut /var/lib/nfs est utilisé.

-N  Lancer statd dans le mode de notification seulement. Lorsqu'il est démarré dans ce mode, statd vérifie son répertoire d'état, envoie les notifications à tous les noeuds surveillés et quitte lorsque toutes les notifications ont été envoyées. Ce mode est utilisé pour activer les implémentations NFS de haute disponibilité (c'est-à-dire HA-NFS). Ce mode est déconseillé - sm-notify devrait plutôt être utilisé directement.

-L, --no-notify
    Inhiber l'exécution de sm-notify. Si sm-notify est lancé par un autre script au démarrage, il n'est pas nécessaire que statd le fasse lui-même. Cela peut être opportun si le démarrage de statd doit être retardé jusqu'à ce qu'il en ait besoin. Dans de tels cas, sm-notify devrait être exécuter au démarrage.

-H,  --ha-callout prog
    Spécifier un programme de haute disponibilité à invoquer qui sera appelé pour toutes les demandes de surveillance et d'arrêt de surveillance provenant des clients. Cela permet à rpc.statd d'être utilisé dans un environnement NFS de haute disponibilité (HA-NFS). Le programme sera lancé avec trois arguments : le premier est soit add-client, soit del-client, suivant la raison de l'appel. Le second est le nom du client. Le troisième est le nom du serveur tel qu'il est connu du client.

-?  Afficher l'aide de la ligne de commande et quitter.

-V  Afficher les informations de version et quitter.

SUPPORT TCP_WRAPPERS
Cette version de rpc.statd est protégée par la bibliothèque tcp_wrapper. Vous devez donner aux clients l'accès à rpc.statd pour leur permettre de l'utiliser. Pour permettre aux clients du domaine « .bar.com » de se connecter, vous devez ajouter la ligne suivante dans le fichier /etc/hosts.allow : statd: .bar.com Vous devez utiliser le nom de démon statd comme nom de démon (même si le binaire a un nom différent). Pour plus d'informations, voir les pages de manuel tcpd(8) et hosts_access(5).

SIGNAUX
SIGUSR1 force rpc.statd à relire la liste de notification à partir du disque et à envoyer les notifications aux clients. Cela peut être utilisé dans des environnements NFS à haute disponibilité pour demander aux clients de réacquérir les verrrous sur les fichiers après la reprise d'un export NFS d'un autre serveur.

FICHIERS
/var/lib/nfs/sm/state
/var/lib/nfs/sm/*
/var/lib/nfs/sm.bak/*

AUTEURS
Jeff Uphoff <juphoff@transmeta.com>
Olaf Kirch <okir@monad.swb.de>
H.J. Lu <hjl@gnu.org>

VOIR AUSSI
portmap(8), rpc.nfsd(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000, mise à jour par Vanessa Cochondon <nessie AT little-monster DOT org> le 1er septembre 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 rpc.statd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.